const int dry_sensor = 3550;
const int wet_sensor = 1300;
int moisture_percentage_sensor1 = 0;
int moisture_percentage_sensor2 = 0;

double ambient_temp = 0.00;
int ambient_humi = 0.00;
double radiator_temp = 0.00;
int ambient_co2 = 0;
int ambient_tvoc = 0;
double atm_pressure = 0.00;
int wifi_strength = 0;
int fan_speed = 0;


bool light_state = false, fan_state = false;
bool fan_manual_state = false;
bool watering_state = false;

bool button_1_pressed = false;
bool button_2_pressed = false;
bool lcd_backlight = false;

unsigned long sensor_read_timer = 0;
unsigned long blynk_send_timer = 0;
unsigned long display_backlight_timer = 0;

byte display_current_page = 0;

unsigned long wifi_health_check_timer = 0;

bool wifi_connection_status = false;


#define RELAY1 27 // LED
#define RELAY2 26 
#define RADIATOR_FAN 13 // Radiator Fan

#define DISPLAY_BACKLIGHT 33 

#define BUTTON_1 4
#define BUTTON_2 19
